Bug 141437 - Audacity hangs when playing through ALSA driver on kernel 2.6.9
Audacity hangs when playing through ALSA driver on kernel 2.6.9
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-30 22:37 EST by Fulko Hew
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-12 04:35:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fulko Hew 2004-11-30 22:37:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
Audacity works driving audio using the ALSA driver  under kernels
prior to 2.6.9. (i.e. 2.6.8-1.521)  However since installing newer
kernels (as released from Fedora) audacity now hangs when trying to
play audio.
It hangs on both 2.6.9-1.3_FC2 and 2.6.9-1.6_FC2.

(My ALSA device is Intel 82801-DB-ICH4)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot with kernel 2.6.9-1.3_FC2 or later.
2. Start Audacity and load a sound file.
3. Select File->Preferences->Audio IO->Playback Device = ALSA
4. Push 'play' button.
    

Actual Results:  Audacity hangs, its cursor does not move, no sound.

Expected Results:  no hang, moving cursor et.al., sound...

Additional info:
Comment 1 Bill Nottingham 2004-11-30 23:00:15 EST
Out of curiousity, does anything change if you install the FC3 alsa-lib?
Comment 2 Fulko Hew 2004-12-01 00:02:55 EST
I fetched and tried alsa-lib-1.0.6-3.i386.rpm and
alsa-lib-devel-1.0.6-3.i386.rpm as well as 1.0.6-5.

1.0.6-3 didn't make any difference at all.
1.0.6-5 allowed me to push the 'play' button once (and hear sound),
but pushing play a second time, still wedged the application.
Comment 3 Bill Nottingham 2004-12-01 00:16:24 EST
If you use the OSS compat, does it work? (if Audacity has that option)
Comment 4 Fulko Hew 2004-12-01 08:47:08 EST
The other output driver option is '/dev/oss'.
Yes that works, (always did), but the latency/delay between the the
screen (ie. visual display of the waveform being emitted) and the
actual audio out, make that driver worthless.  Only when selecting
ALSA as the output driver, will the application perform acceptably.

I also updated my FC3 system with the latest and greatest (from Dec
1/01 00:00), and the latest Audacity (which only supports /dev/dsp)
and it works fine, and does not have that same latency problem.
Comment 5 Bill Nottingham 2004-12-01 11:34:58 EST
So, if the behavior is different on FC2 + FC3 alsa-lib and FC3 +
updates... what else is different? Only the kernel?

Comment 6 Fulko Hew 2004-12-01 13:29:57 EST
Also, potentially, audacity, since the FC3 test sucked the latest
version of audacity.  Unfortunately, Audacity's "about" screen must be
doing some kind of unicode thing, because its text is all rendered as
'small boxes'. Using RPM -q gives us the following test matrix:

--> FC2 + FC3 libraries + audacity-1.2.2-1.1.fc1.fr = fails
--> FC3 + FC3 libraries + audacity-1.2.3-2.1.fc3.fr = works

So my next step will be to find the RPM that apt-get auto-installed on
FC3 onto the FC2 machine, and re-test the new combo.
Comment 7 Matthew Miller 2005-04-26 12:06:11 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 8 Martin Stransky 2005-05-10 06:11:02 EDT
Is this bug still alive?

Note You need to log in before you can comment on or make changes to this bug.